%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtquickcontrols2
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 quickcontrols2 components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtquickcontrols2-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
Provides:      libQt5QuickControls2
Obsoletes:     libQt5QuickControls2 <= 5.15.2-1mamba
Provides:      libQt5QuickTemplates2
Obsoletes:     libQt5QuickTemplates2 <= 5.15.2-1mamba

%description
Qt5 quickcontrols2 components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtquickcontrols2-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt5QuickControls2.so.*
%{_libdir}/libQt5QuickTemplates2.so.*
%dir %{_libdir}/qt5/qml/Qt/labs/calendar
%{_libdir}/qt5/qml/Qt/labs/calendar/*
%dir %{_libdir}/qt5/qml/Qt/labs/platform
%{_libdir}/qt5/qml/Qt/labs/platform/*
%dir %{_libdir}/qt5/qml/QtQuick/Controls.2
%{_libdir}/qt5/qml/QtQuick/Controls.2/*
%dir %{_libdir}/qt5/qml/QtQuick/Templates.2
%{_libdir}/qt5/qml/QtQuick/Templates.2/*
%doc LICENSE.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtQuickControls2
%{_includedir}/qt5/QtQuickControls2/*
%dir %{_includedir}/qt5/QtQuickTemplates2
%{_includedir}/qt5/QtQuickTemplates2/*
%{_libdir}/libQt5QuickControls2.prl
%{_libdir}/libQt5QuickControls2.so
%{_libdir}/libQt5QuickTemplates2.prl
%{_libdir}/libQt5QuickTemplates2.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_quickcontrols2*.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_quicktemplates2*.pri
%dir %{_libdir}/cmake/Qt5QuickControls2
%{_libdir}/cmake/Qt5QuickControls2/Qt5QuickControls2Config*.cmake
%dir %{_libdir}/cmake/Qt5QuickTemplates2
%{_libdir}/cmake/Qt5QuickTemplates2/Qt5QuickTemplates2Config*.cmake
%{_libdir}/pkgconfig/Qt5QuickControls2.pc
%{_libdir}/pkgconfig/Qt5QuickTemplates2.pc
%doc README.md


%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
